Package org.gradle.jvm

# Interface JarBinarySpec

All Superinterfaces:
  `Binary`, `BinarySpec`, `Buildable`, `BuildableComponentSpec`, `CheckableComponentSpec`, `ComponentSpec`, `JvmBinarySpec`, `LibraryBinarySpec`, `ModelElement`, `Named`

@Incubating public interface JarBinarySpec extends LibraryBinarySpec, JvmBinarySpec
Definition of a Jar file binary that is to be built by Gradle.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static interface`
`JarBinarySpec.TasksCollection`
Provides access to key tasks used for building the binary.

## Nested classes/interfaces inherited from interface org.gradle.api.Named

`Named.Namer`

## Method Summary

Modifier and Type
Method
Description
`File`
`getApiJarFile()`
The API jar file output for this binary.
`Set<String>`
`getExportedPackages()`
`LibraryBinaryIdentifier`
`getId()`
The unique identifier of this JarBinarySpec.
`File`
`getJarFile()`
The jar file output for this binary.
`JvmLibrarySpec`
`getLibrary()`
The library that this binary belongs to.
`JarBinarySpec.TasksCollection`
`getTasks()`
The set of tasks associated with this binary.
`void`
`setApiJarFile(File jarFile)`
Sets the API jar file output for this binary.
`void`
`setExportedPackages(Set<String> exportedPackages)`
`void`
`setJarFile(File jarFile)`
Sets the jar file output for this binary.

### Methods inherited from interface org.gradle.platform.base.Binary

`getDisplayName`

### Methods inherited from interface org.gradle.platform.base.BinarySpec

`getInputs, getSources, isBuildable`

### Methods inherited from interface org.gradle.api.Buildable

`getBuildDependencies`

### Methods inherited from interface org.gradle.api.BuildableComponentSpec

`builtBy, getBuildTask, hasBuildDependencies, setBuildTask`

### Methods inherited from interface org.gradle.api.CheckableComponentSpec

`checkedBy, getCheckTask, setCheckTask`

### Methods inherited from interface org.gradle.platform.base.ComponentSpec

`getProjectPath`

### Methods inherited from interface org.gradle.jvm.JvmBinarySpec

`getClassesDir, getResourcesDir, getTargetPlatform, getToolChain, setClassesDir, setResourcesDir, setTargetPlatform, setToolChain`

### Methods inherited from interface org.gradle.model.ModelElement

`getDisplayName, getName`

## Method Details

### getTasks

JarBinarySpec.TasksCollection getTasks()
The set of tasks associated with this binary.

Specified by:
  `getTasks` in interface `BinarySpec`

### getLibrary

JvmLibrarySpec getLibrary()
The library that this binary belongs to.

Specified by:
  `getLibrary` in interface `LibraryBinarySpec`

### getId

LibraryBinaryIdentifier getId()
The unique identifier of this JarBinarySpec.

### getJarFile

File getJarFile()
The jar file output for this binary.

### setJarFile

void setJarFile(File jarFile)
Sets the jar file output for this binary.

### getApiJarFile

File getApiJarFile()
The API jar file output for this binary.

### setApiJarFile

void setApiJarFile(File jarFile)
Sets the API jar file output for this binary.

### setExportedPackages

void setExportedPackages(Set<String> exportedPackages)

### getExportedPackages

Set<String> getExportedPackages()